%define api_version	2
%define lib_major	0
%define pkgname     libgnomeui
%define req_libbonoboui_version	2.13.0
%define req_libgnome_version	2.13.0
%define req_libgnomecanvas_version	2.0.0

%define libname		%mklibname gnomeui %{api_version} %{lib_major}
%define libnamedev	%mklibname -d gnomeui %{api_version}

Summary: Main GNOME libraries
Name: %{pkgname}%{api_version}
Version: 2.20.0
Release: %mkrel 2
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2
# (fc) 2.10.1-3mdk don't bind toolbar settings to GConf directly
Patch0: libgnomeui-2.14.1-xsettings.patch
# (fc) 2.20.0-2mdv improve volume/drive list consistency compared to Nautilus (SVN)
Patch1: libgnomeui-2.20.0-volumelist.patch

License: LGPL
Url: http://www.gnome.org/
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: libbonoboui2-devel >= %{req_libbonoboui_version}
BuildRequires: libgnome2-devel >= %{req_libgnome_version}
BuildRequires: libgnomecanvas2-devel >= %{req_libgnomecanvas_version}
BuildRequires: libglade2.0-devel
BuildRequires: pango-devel >= 1.1.2
BuildRequires: gtk-doc >= 0.9
BuildRequires: libjpeg-devel
BuildRequires: gnome-keyring-devel
BuildRequires: gnome-vfs2-devel >= 2.7.1
BuildRequires: gtk+2-devel >= 2.9.0
BuildRequires: libsm-devel
Requires: libbonoboui2 >= %{req_libbonoboui_version}
Requires: gnome-icon-theme

%description
Data files for the GNOME UI library such as translations.

%package -n %{libname}
Summary:	GNOME libraries
Group:		%{group}

Requires:	%{name} >= %{version}

%description -n %{libname}
GNOME library contains extra widgets to let your 
GNOME applications really shine

%package -n %{libnamedev}
Summary:	Static libraries, include files for GNOME
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	gnomeui2-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Requires:	%{name} = %{version}
Requires: libbonoboui2-devel >= %{req_libbonoboui_version}
Requires: libgnomecanvas2-devel >= %{req_libgnomecanvas_version}
Requires: libjpeg-devel
Obsoletes: %mklibname -d gnomeui %{api_version} 0

%description -n %{libnamedev}
Static library, headers files and documentation needed in order 
to develop applications using the GNOME library.

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1 -b .xsettings
%patch1 -p1 -b .volumelist

%build

%configure2_5x --enable-gtk-doc

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%find_lang %{pkgname}-2.0

#remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/libglade/2.0/*.{la,a} \
 $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/*/filesystems/libgnome-vfs.*a

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
  
%postun -n %{libname} -p /sbin/ldconfig


%files -f %{pkgname}-2.0.lang
%defattr(-,root,root)
%doc AUTHORS NEWS README 
%{_libdir}/libglade/2.0/*.so
%{_libdir}/gtk-2.0/*/filesystems/libgnome-vfs.so
%{_datadir}/pixmaps/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libgnomeui-2.so.0*

%files -n %{libnamedev}
%defattr(-,root,root)
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%attr(644,root,root) %{_libdir}/*.la
%{_libdir}/*.a




%changelog
* Wed Oct 03 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-2mdv2008.0
+ Revision: 94957
- Patch1 (SVN): improve volume/drive list consistency

* Wed Sep 19 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 90885
- new version

* Tue Aug 07 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.1-3mdv2008.0
+ Revision: 59905
- Remove patches 3, 4, 5, no longer needed with switch to XDG user dirs

* Tue Jul 31 2007 Götz Waschk <waschk@mandriva.org> 2.19.1-2mdv2008.0
+ Revision: 57247
- new devel name

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 2.19.1-1mdv2008.0
+ Revision: 56583
- new version
- update file list

* Tue Jun 19 2007 Götz Waschk <waschk@mandriva.org> 2.19.0-1mdv2008.0
+ Revision: 41288
- new version


* Wed Mar 14 2007 Götz Waschk <waschk@mandriva.org> 2.18.1-1mdv2007.1
+ Revision: 143330
- new version

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 141790
- new version
- readd changelog

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

* Tue Feb 27 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-1mdv2007.1
+ Revision: 126222
- new version

* Wed Feb 14 2007 Götz Waschk <waschk@mandriva.org> 2.17.91-2mdv2007.1
+ Revision: 120753
- bump

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 2.17.91-1mdv2007.1
+ Revision: 119020
- new version

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-1mdv2007.1
+ Revision: 111949
- new version

* Tue Jan 09 2007 Götz Waschk <waschk@mandriva.org> 2.17.1-1mdv2007.1
+ Revision: 106279
- new version

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 2.17.0-1mdv2007.1
+ Revision: 90675
- new version

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-6mdv2007.1
+ Revision: 89088
- rebuild

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-5mdv2007.1
+ Revision: 88343
- rebuild

* Tue Oct 17 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.16.1-4mdv2007.1
+ Revision: 65486
- add BuildRequires: libsm-devel - for gnome-session

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-3mdv2006.0
+ Revision: 63758
- rebuild
- fix patch 5
- unzip patches
- Import libgnomeui2

* Fri Oct 06 2006 Gtz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- drop patch 6
- rediff patch 5
- New version 2.16.1

* Wed Sep 13 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.0-3mdv2007.0
- Patch6 (CVS): fix file-chooser deadlock

* Fri Sep 08 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.0-2mdv2007.0
- Update patches 3, 4, 5 and apply them

* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Tue Aug 08 2006 Götz Waschk <waschk@mandriva.org> 2.15.91-1mdv2007.0
- New release 2.15.91

* Thu Aug 03 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.15.90-3mdv2007.0
- rebuild w/o selinux on x86_64

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.90-2mdv2007.0
- Rebuild with latest dbus

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 2.15.90-1
- New release 2.15.90

* Thu Jul 13 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.2-1mdv2007.0
- Release 2.15.2

* Fri Jun 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.1-1mdv2007.0
- Release 2.15.1
- Disable patches 3, 4, 5 for now

* Thu Apr 13 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-1mdk
- Release 2.14.1
- Regenerate patch0

* Wed Mar 01 2006 Götz Waschk <waschk@mandriva.org> 2.12.1-2mdk
- Rebuild to remove howl dep

* Tue Feb 07 2006 Götz Waschk <waschk@mandriva.org> 2.12.1-1mdk
- New release 2.12.1
- use mkrel

* Thu Nov 17 2005 Götz Waschk <waschk@mandriva.org> 2.12.0-2mdk
- rebuild for new openssl

* Thu Oct 06 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-1mdk
- Release 2.12.0
- Remove patches 1, 2 (merged upstream)
- Regenerate patch5

* Tue Sep 27 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-10mdk 
- Update patch5, read UTF-8 encoded url in .desktop file correctly

* Tue Sep 20 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-9mdk 
- Patch5: fix .desktop dir handling

* Thu Sep 08 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-8mdk 
- Patch4: fix desktop icon loading

* Sat Sep 03 2005 Götz Waschk <waschk@mandriva.org> 2.10.1-7mdk
- rebuild to remove glitz dep

* Sat Aug 27 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-6mdk 
- Patch3 (CVS): check if .desktop points to existing directory

* Thu Aug 25 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-5mdk 
- Patch2 (CVS): various bugfixes from HEAD

* Tue Aug 02 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-4mdk 
- Patch1 (CVS): add support for .desktop file parsing

* Fri Jul 29 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-3mdk 
- Patch0: don't use gconf global settings for toolbar style, 
  uses xsettings instead.

* Sat Jul 09 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.10.1-2mdk
- fix provides on x86_64

* Thu Jul 07 2005 Gtz Waschk <waschk@mandriva.org> 2.10.1-1mdk
- drop patch
- New release 2.10.1

* Wed May 04 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-2mdk 
- Update patch0, better fix

* Wed Apr 20 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-1mdk 
- Release 2.10.0

* Wed Mar 02 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-2mdk 
- Patch0 : fix wrong gettext encoding for file selector backend for mozilla

* Mon Feb 21 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-1mdk 
- Release 2.8.1
- Remove patches 0 & 1 (merged upstream)

* Tue Jan 04 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-3mdk 
- Rebuild with latest howl

* Fri Dec 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-2mdk 
- Patch1 (CVS): improve filechooser vfs backend speed on big directories

* Tue Nov 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.0-1mdk
- New release 2.8.0
- Remove patch0 (merged upstream)
- Patch0 (Fedora): improve gnomevfs file chooser backend for ftp:

* Fri Sep 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1.1-2mdk
- Patch0 (CVS): various bug and memleak fixes from CVS
- Enable libtoolize

* Mon May 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1.1-1mdk
- drop the patch
- New release 2.6.1.1

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- patch to make it build with gtk+ 2.4.0
- New release 2.6.1

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Gtz help)

